package cn.teammodel.model.dto.weekDuty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author winter
 * @create 2024-01-03 10:45
 */

@Data
public class InsertSpotDto {
    @ApiModelProperty(value = "地点名称", required = true)
    @NotBlank(message = "name 不能为空")
    private String name;
}
