package cn.teammodel.service;

import cn.teammodel.model.dto.ai.comment.ChatCommentsDto;
import cn.teammodel.model.dto.ai.ChatCompletionReqDto;
import cn.teammodel.model.dto.ai.comment.WisdomSummaryDto;
import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

/**
 * @author winter
 * @create 2023-12-18 15:20
 */
public interface ChatMessageService {
    /**
    * AI 聊天
    */
    SseEmitter chatCompletion(ChatCompletionReqDto chatCompletionReqDto, String userId);

    /**
     * AI 评语
     * @param chatCommentsDto
     * @return
     */
    SseEmitter chatComments(ChatCommentsDto chatCommentsDto, String userId, String userName);

    /**
     * AI 总结  暂弃用
     * @return
     */
    SseEmitter chatSummary(WisdomSummaryDto chatSummaryDto, String userId, String userName);

    /**
     * AI 分析  暂弃用
     * @return
     */
    SseEmitter chatAnalysis();
}
